Trips
List trip participants
Uses the authenticated organization and the selected trip to resolve participants. Withdrawal changes status instead of deleting the record. Invitation sends are best effort and exclude sample trips; donor search respects donor-form access.
GET
/
admin
/
trips
/
{tripId}
/
participants
List trip participants
curl --request GET \
--url https://api.gratona.com/v1/admin/trips/{tripId}/participants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/trips/{tripId}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/trips/{tripId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/trips/{tripId}/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/trips/{tripId}/participants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/trips/{tripId}/participants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/trips/{tripId}/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"donor_id": 123,
"entity_id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"individual_goal": 123,
"total_raised": 123,
"progress_percent": 123,
"status": "<string>",
"is_public": true,
"is_anonymous": true,
"bio": "<string>",
"video_url": "<string>",
"is_minor": true,
"guardian_name": "<string>",
"guardian_email": "<string>",
"guardian_phone": "<string>",
"guardian_relationship": "<string>",
"guardian_donor_id": 123,
"background_check_status": "<string>",
"background_check_provider_check_id": "<string>",
"background_check_id": 123,
"background_check_report_url": "<string>",
"background_check_updated_at": "2023-11-07T05:31:56Z",
"background_check_expires_at": "2023-12-25",
"background_check_adjudication": "<string>",
"esignature_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"permissions": {},
"effective_leader_permissions": {},
"social_links": {},
"tags": [
"<string>"
],
"esignature_readiness": {
"required_templates": [
"<string>"
],
"signed_templates": [
"<string>"
],
"missing_templates": [
"<string>"
],
"is_ready": true
},
"esignature_template_id": "<string>",
"esignature_request_id": 123,
"esignature_provider_request_id": "<string>",
"esignature_signed_document_url": "<string>",
"esignature_signed_document_upload_id": 123,
"esignature_sent_at": "2023-11-07T05:31:56Z",
"esignature_signed_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Trip ID belonging to the authenticated organization.
Response
List trip participants response.
Show child attributes
Show child attributes
⌘I
List trip participants
curl --request GET \
--url https://api.gratona.com/v1/admin/trips/{tripId}/participants \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/trips/{tripId}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/trips/{tripId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/trips/{tripId}/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/trips/{tripId}/participants"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/trips/{tripId}/participants")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/trips/{tripId}/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 123,
"donor_id": 123,
"entity_id": 123,
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>",
"individual_goal": 123,
"total_raised": 123,
"progress_percent": 123,
"status": "<string>",
"is_public": true,
"is_anonymous": true,
"bio": "<string>",
"video_url": "<string>",
"is_minor": true,
"guardian_name": "<string>",
"guardian_email": "<string>",
"guardian_phone": "<string>",
"guardian_relationship": "<string>",
"guardian_donor_id": 123,
"background_check_status": "<string>",
"background_check_provider_check_id": "<string>",
"background_check_id": 123,
"background_check_report_url": "<string>",
"background_check_updated_at": "2023-11-07T05:31:56Z",
"background_check_expires_at": "2023-12-25",
"background_check_adjudication": "<string>",
"esignature_status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"permissions": {},
"effective_leader_permissions": {},
"social_links": {},
"tags": [
"<string>"
],
"esignature_readiness": {
"required_templates": [
"<string>"
],
"signed_templates": [
"<string>"
],
"missing_templates": [
"<string>"
],
"is_ready": true
},
"esignature_template_id": "<string>",
"esignature_request_id": 123,
"esignature_provider_request_id": "<string>",
"esignature_signed_document_url": "<string>",
"esignature_signed_document_upload_id": 123,
"esignature_sent_at": "2023-11-07T05:31:56Z",
"esignature_signed_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}